# Uses of Class
javax.management.MBeanParameterInfo

Packages that use MBeanParameterInfo
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

## Uses of MBeanParameterInfo in javax.management

Methods in javax.management that return MBeanParameterInfo
Modifier and Type
Method
Description
`MBeanParameterInfo[]`
MBeanConstructorInfo.`getSignature()`
Returns the list of parameters for this constructor.
`MBeanParameterInfo[]`
MBeanOperationInfo.`getSignature()`
Returns the list of parameters for this operation.
Methods in javax.management with parameters of type MBeanParameterInfo
Modifier and Type
Method
Description
`protected String`
StandardMBean.`getDescription(MBeanConstructorInfo ctor, MBeanParameterInfo param, int sequence)`
Customization hook: Get the description that will be used for the sequence MBeanParameterInfo of the MBeanConstructorInfo returned by this MBean.
`protected String`
StandardMBean.`getDescription(MBeanOperationInfo op, MBeanParameterInfo param, int sequence)`
Customization hook: Get the description that will be used for the sequence MBeanParameterInfo of the MBeanOperationInfo returned by this MBean.
`protected String`
StandardMBean.`getParameterName(MBeanConstructorInfo ctor, MBeanParameterInfo param, int sequence)`
Customization hook: Get the name that will be used for the sequence MBeanParameterInfo of the MBeanConstructorInfo returned by this MBean.
`protected String`
StandardMBean.`getParameterName(MBeanOperationInfo op, MBeanParameterInfo param, int sequence)`
Customization hook: Get the name that will be used for the sequence MBeanParameterInfo of the MBeanOperationInfo returned by this MBean.
Constructors in javax.management with parameters of type MBeanParameterInfo
Modifier
Constructor
Description
``
`MBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature)`
Constructs an `MBeanConstructorInfo` object.
``
`MBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature, Descriptor descriptor)`
Constructs an `MBeanConstructorInfo` object.
``
`MBeanOperationInfo(String name, String description, MBeanParameterInfo[] signature, String type, int impact)`
Constructs an `MBeanOperationInfo` object.
``
`MBeanOperationInfo(String name, String description, MBeanParameterInfo[] signature, String type, int impact, Descriptor descriptor)`
Constructs an `MBeanOperationInfo` object.

## Uses of MBeanParameterInfo in javax.management.modelmbean

Constructors in javax.management.modelmbean with parameters of type MBeanParameterInfo
Modifier
Constructor
Description
``
`ModelMBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature)`
Constructs a ModelMBeanConstructorInfo object with a default descriptor.
``
`ModelMBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature, Descriptor descriptor)`
Constructs a ModelMBeanConstructorInfo object.
``
`ModelMBeanOperationInfo(String name, String description, MBeanParameterInfo[] signature, String type, int impact)`
Constructs a ModelMBeanOperationInfo object with a default descriptor.
``
`ModelMBeanOperationInfo(String name, String description, MBeanParameterInfo[] signature, String type, int impact, Descriptor descriptor)`
Constructs a ModelMBeanOperationInfo object.

## Uses of MBeanParameterInfo in javax.management.openmbean

Subclasses of MBeanParameterInfo in javax.management.openmbean
Modifier and Type
Class
Description
`class`
`OpenMBeanParameterInfoSupport`
Describes a parameter used in one or more operations or constructors of an open MBean.
Methods in javax.management.openmbean that return MBeanParameterInfo
Modifier and Type
Method
Description
`MBeanParameterInfo[]`
OpenMBeanConstructorInfo.`getSignature()`
Returns an array of `OpenMBeanParameterInfo` instances describing each parameter in the signature of the constructor described by this `OpenMBeanConstructorInfo` instance.
`MBeanParameterInfo[]`
OpenMBeanOperationInfo.`getSignature()`
Returns an array of `OpenMBeanParameterInfo` instances describing each parameter in the signature of the operation described by this `OpenMBeanOperationInfo` instance.